/* #include <stdio.h> */
#include "func_endianness.h"

bool endianness ()
{
  union TestEndian test_endian;
  
  test_endian.total = 0xFF;
  
  if (test_endian.octets.octet1 == 0xFF) 
    {
/*       printf("Little Endian\n"); */
      return LittleEndian;
    }
  else 
    {
/*       printf("Big Endian\n"); */
      return BigEndian;
    }
}
